# Interface InputSelectOptionsSettings<Source>

interface InputSelectOptionsSettings<Source> {
filteredOptions?: boolean;
ignoreSelectedValue?: boolean;
loadOnce?: boolean;
transformer?: ((source) => ControlOptions | Record<string, any>);
}

#### Type Parameters

- Source

#### Hierarchy (view full)

- UseOptionsDataSourceSettings<Source>
  - InputSelectOptionsSettings

- Defined in packages/angular/form-system/src/lib/directives/input-select-options.directive.ts:56

#####
Index

### Properties

filteredOptions?
ignoreSelectedValue?
loadOnce?
transformer?

## Properties

### `Optional` filteredOptions

filteredOptions?: boolean

true - the options list is filtered by the current control value if the control value is of type string. Then the display value of each option is compared to the control value. If the display value of an option includes the control value, then the option is used. This comprehensions it not type sensitive

- Defined in packages/angular/form-system/src/lib/directives/input-select-options.directive.ts:77

### `Optional` ignoreSelectedValue

ignoreSelectedValue?: boolean

true - the selected value is not send to the data source with the viewChange event. Instead an empty object {} is send to trigger a data source refresh.

The OpenApiDataSource expects a Paramters Object in the viewChange event. This can couse issue if the select value object as a property that is also a parameter for the open-api operation. For instaed the select object has the property company and the open-api operation has a query parameter company. Then the BuildOptions method in the OpenApiDataSource would create a HttpParams object with the param company and the value from the select object property company. This will result in unpredictable behaviors.

- Defined in packages/angular/form-system/src/lib/directives/input-select-options.directive.ts:68

### `Optional` loadOnce

loadOnce?: boolean

true - the options list is only loaded once and not refreshed on each value change

- Defined in packages/angular/form-system/src/lib/directives/input-select-options.directive.ts:82

### `Optional` transformer

transformer?: ((source) => ControlOptions | Record<string, any>)

#### Type declaration

- - (source): ControlOptions | Record<string, any>

  - #### Parameters

    - source: Source

    #### Returns ControlOptions | Record<string, any>

Inherited from UseOptionsDataSourceSettings.transformer

- Defined in packages/angular/form-system/src/lib/decorators/use-data-source.ts:7